## org.apache.mahout.utils
Class SplitInputJob.SplitInputMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable,org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable>
          org.apache.mahout.utils.SplitInputJob.SplitInputMapper

Enclosing class:
  SplitInputJob

    public static class SplitInputJob.SplitInputMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable,org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable>

Mapper which downsamples the input by downsamplingFactor

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`SplitInputJob.SplitInputMapper()`

Method Summary
`void` `run(org.apache.hadoop.mapreduce.Mapper.Context context)` Only run map() for one out of every downsampleFactor inputs
`void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, map`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitInputJob.SplitInputMapper

    public SplitInputJob.SplitInputMapper()

Method Detail

### setup

    public void setup(org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable,org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable>`

### run

    public void run(org.apache.hadoop.mapreduce.Mapper.Context context)
             throws IOException,
                    InterruptedException

  Only run map() for one out of every downsampleFactor inputs

  Overrides:
    `run` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable,org.apache.hadoop.io.WritableComparable<?>,org.apache.hadoop.io.Writable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.